<?php
if (isset($_SERVER['HTTP_X_REQUESTED_WITH']) && !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
	// Проверка на передачу параметра
	if(empty($_POST['vvod'])):
		exit('NO1');
	endif;
	// Подключаем конфигурацию
	require('../flowap/system.php');
	// фильтруем
	$var1 = functions::htmlred($_POST['vvod']);
	// условие
	if(empty($var1) || mb_strlen($var1) < 4 || mb_strlen($var1) > 32):
	    $err = 'Указан не правильно.';
	elseif(ctype_digit($var1) === TRUE): // проверка только на символы
		$err = 'Указан не правильно.';
	elseif(preg_match("/[^1-9a-zA-Z]+/", $var1)): // отсекаем пробелы и русские символы
		$err = 'Указан не правильно.';
	elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `user` WHERE `nick` = ?', [$var1]) > 0): // занят ли адресс
	    $err = 'Занят.';
	endif;
	// Вывод на экран
	if(isset($err)):
		$d = ['message' => '<span style="color:red;">('.$err.')</span>','type' => 'error'];
	else:
		$d = ['message' => '<span style="color:green;">(Адрес свободен)</span>','type' => 'success'];
	endif;
	echo json_encode($d);exit;
}else{
	exit('NO2');
}
?>